Bug 89767 - some of the UTF-8 chars are not shown
Summary: some of the UTF-8 chars are not shown
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: qt (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 89862
TreeView+ depends on / blocked
 
Reported: 2003-04-28 01:38 UTC by Leon Ho
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-12 00:49:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leon Ho 2003-04-28 01:38:40 UTC
Description of problem: 
Apps in kde cannot display some of the glyphs even though we have the font 
contains them 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
 
 
Steps to Reproduce: 
1. run kate 
2. open file 
http://www.openi18n.org/subgroups/testsuites/interactive/text-editor-tests/UTF-8.txt 
 
     
Actual results: 
http://people.redhat.com/djoo/Junk/utf8-kate.png 
 
Expected results: 
http://people.redhat.com/djoo/Junk/utf8-Gedit.png 
 
Additional info: 
http://www.openi18n.org/subgroups/testsuites/interactive/text-editor-tests/general-text-editor-test-scenario.html

Comment 1 Ngo Than 2003-04-29 10:36:09 UTC
with miscfixed font, it seems to show UTF-8 chars correct

Comment 2 Leon Ho 2003-04-30 01:37:38 UTC
We want to have our default system to display most of our unicode range though. 
miscfixed size 11 can displays well, but size 8 cannot show all chars. It seems that 
the way QT calculate the size of different font so that it does not fallback properly. 
Do you know what is the different to QT and GTK+ on calculate the font size? 

Comment 3 Leon Ho 2003-05-12 07:50:10 UTC
I have talked to owen and also look at codes in QT - It may related to QT only
uses one sample character to represent a range of unicode char. Then Xft returns
with a candidate that has the sample character's glyph, but it does not mean
that specific font has other glyphs within that unicode range.

This design maybe cleaner, but requires at least a font that covers one or more
unicode script range (which is not available for us)

Comment 4 Leon Ho 2003-06-12 00:49:36 UTC
We might need to wait for a font with better coverage for each unicode script. I
will also contact upstream and talk to them about it and see if they are
thinking of changing their font coverage design when they release a major release. 


Note You need to log in before you can comment on or make changes to this bug.